Package org.jfree.layouting.renderer.model.table.cells

## Class PlaceHolderCell

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.cells.TableCell
  - - org.jfree.layouting.renderer.model.table.cells.PlaceHolderCell

- Direct Known Subclasses:
    `ConflictingCell`

      public class PlaceHolderCell
      extends TableCell

  Creation-Date: 10.09.2006, 17:27:54
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlaceHolderCell​(DataCell sourceCell, int rowSpan, int colSpan)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataCell` | `getSourceCell​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.table.cells.TableCell

      `getColSpan, getRowSpan`

- - ### Constructor Detail

    - #### PlaceHolderCell

          public PlaceHolderCell​(DataCell sourceCell,
                                 int rowSpan,
                                 int colSpan)

  - ### Method Detail

    - #### getSourceCell

          public DataCell getSourceCell​()

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `TableCell`